> ## Documentation Index
> Fetch the complete documentation index at: https://platform.atlan.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search artifacts



## OpenAPI

````yaml /public-openapi.json post /registry/v1/search
openapi: 3.1.0
info:
  title: Atlan public API
  version: current
  description: >-
    Public HTTP API reference for Registry, Skills, Agents, outputs, files, MCP
    servers and tools, and OTLP telemetry ingestion.
servers:
  - url: https://agentgateway.atlan.engineering
    description: Atlan API base URL
security:
  - bearer: []
tags:
  - name: Core
  - name: Skill
  - name: Agent
  - name: Files
  - name: MCP
  - name: Observability
paths:
  /registry/v1/search:
    post:
      tags:
        - Core
      summary: Search artifacts
      operationId: registry.search
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/registry-registry-SearchRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/registry-registry-PageArtifactView'
          description: HTTP 200 response.
        '400':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - invalid_json
          description: HTTP 400 response.
        '401':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - alg_mismatch
                          - alg_not_allowed
                          - audience_mismatch
                          - invalid_api_key
                          - missing_identity
                          - missing_org
                          - missing_user
                          - signature_invalid
                          - token_expired
                          - token_malformed
                          - token_missing
                          - token_not_yet_valid
                          - token_rejected
                          - token_service_account_unbound
                          - unknown_account
                          - unknown_key
                          - untrusted_issuer
          description: HTTP 401 response.
        '403':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - access_denied
                          - account_suspended
          description: HTTP 403 response.
        '415':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - unsupported_content_type
          description: HTTP 415 response.
        '422':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - validation_failed
          description: HTTP 422 response.
        '500':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - internal_error
          description: HTTP 500 response.
        '503':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - auth_unavailable
                          - service_overloaded
          description: HTTP 503 response.
        '504':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - request_timeout
          description: HTTP 504 response.
      security:
        - bearer: []
components:
  schemas:
    registry-registry-SearchRequest:
      type: object
      properties:
        cursor:
          type:
            - string
            - 'null'
        embedding_kind:
          type:
            - string
            - 'null'
        fields:
          type:
            - array
            - 'null'
          items:
            type: string
        filters:
          type: array
          items:
            $ref: '#/components/schemas/registry-registry-FilterClause'
        include:
          type: array
          items:
            type: string
        is_all_versions_included:
          type:
            - boolean
            - 'null'
        is_archived_included:
          type:
            - boolean
            - 'null'
        is_system_included:
          type:
            - boolean
            - 'null'
        kind:
          type:
            - string
            - 'null'
        limit:
          type:
            - integer
            - 'null'
          format: int32
          maximum: 500
          minimum: 0
        offset:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        project_id:
          type:
            - string
            - 'null'
        query:
          type:
            - string
            - 'null'
        query_vector:
          type:
            - array
            - 'null'
          items:
            type: number
            format: float
        source_type:
          type:
            - string
            - 'null'
        strategy:
          type:
            - string
            - 'null'
        workspace_id:
          type:
            - string
            - 'null'
      additionalProperties: false
    registry-registry-PageArtifactView:
      type: object
      required:
        - items
        - page
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/registry-registry-ArtifactView'
        page:
          $ref: '#/components/schemas/registry-registry-PageMeta'
    registry-ProblemDetails:
      type: object
      required:
        - title
        - status
        - detail
        - code
      properties:
        code:
          type: string
        detail:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
        title:
          type: string
        trace_id:
          type:
            - string
            - 'null'
    registry-registry-FilterClause:
      type: object
      required:
        - field
      properties:
        field:
          type: string
        op:
          type:
            - string
            - 'null'
        value:
          type:
            - string
            - 'null'
        values:
          type:
            - array
            - 'null'
          items:
            type: string
    registry-registry-ArtifactView:
      type: object
      required:
        - id
        - kind
        - extension
        - name
        - display_name
        - artifact_status
        - commit_ts
        - content_hash_hex
        - workspace_id
        - version_ordinal
        - is_latest
        - source_type
        - created_by
        - created_at
        - updated_by
        - updated_at
      properties:
        artifact_status:
          type: string
        commit_ts:
          type: string
        content_hash_hex:
          type: string
        created_at:
          type: string
        created_by:
          type: string
        display_name:
          type: string
        extension:
          type: string
        id:
          type: string
        identity:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/registry-gateway-ArtifactIdentityRevealView'
        is_latest:
          type: boolean
        kind:
          type: string
        metadata:
          type: object
          additionalProperties: {}
          propertyNames:
            type: string
        name:
          type: string
        oidc_client_id:
          type:
            - string
            - 'null'
        owner_id:
          type:
            - string
            - 'null'
        permissions:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/registry-registry-ArtifactCapabilities'
        project:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/registry-registry-ProjectRefView'
        project_id:
          type:
            - string
            - 'null'
        relationships:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/registry-registry-RelationshipsView'
        repo:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/registry-registry-RepoRefView'
        repo_id:
          type:
            - string
            - 'null'
        source_created_at:
          type:
            - string
            - 'null'
        source_created_by:
          type:
            - string
            - 'null'
        source_digest:
          type:
            - string
            - 'null'
        source_id:
          type:
            - string
            - 'null'
        source_last_modified_at:
          type:
            - string
            - 'null'
        source_last_modified_by:
          type:
            - string
            - 'null'
        source_metadata: {}
        source_synced_at:
          type:
            - string
            - 'null'
        source_type:
          type: string
        source_uri:
          type:
            - string
            - 'null'
        source_version:
          type:
            - string
            - 'null'
        updated_at:
          type: string
        updated_by:
          type: string
        version_label:
          type:
            - string
            - 'null'
        version_ordinal:
          type: integer
          format: int64
        workspace:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/registry-registry-WorkspaceRefView'
        workspace_id:
          type: string
    registry-registry-PageMeta:
      type: object
      required:
        - limit
        - offset
      properties:
        limit:
          type: integer
          format: int32
          minimum: 0
        next_cursor:
          type:
            - string
            - 'null'
        offset:
          type: integer
          format: int32
          minimum: 0
        total:
          type:
            - integer
            - 'null'
          format: int64
          minimum: 0
    registry-gateway-ArtifactIdentityRevealView:
      type: object
      required:
        - client_id
        - credential_kind
      properties:
        api_key:
          type:
            - string
            - 'null'
        client_id:
          type: string
        credential_kind:
          type: string
        expires_at:
          type:
            - string
            - 'null'
    registry-registry-ArtifactCapabilities:
      type: object
      required:
        - can_read
        - can_edit
        - can_create_version
        - can_link
        - can_unlink
        - can_add_relationship
        - can_remove_relationship
        - can_delete
      properties:
        can_add_relationship:
          type: boolean
        can_create_version:
          type: boolean
        can_delete:
          type: boolean
        can_edit:
          type: boolean
        can_link:
          type: boolean
        can_read:
          type: boolean
        can_remove_relationship:
          type: boolean
        can_unlink:
          type: boolean
    registry-registry-ProjectRefView:
      type: object
      required:
        - id
        - name
        - display_name
        - workspace_id
      properties:
        display_name:
          type: string
        id:
          type: string
        name:
          type: string
        workspace_id:
          type: string
    registry-registry-RelationshipsView:
      type: object
      required:
        - outgoing
        - incoming
        - count
      properties:
        count:
          type: integer
          minimum: 0
        incoming:
          type: array
          items:
            $ref: '#/components/schemas/registry-registry-RelationshipEdge'
        outgoing:
          type: array
          items:
            $ref: '#/components/schemas/registry-registry-RelationshipEdge'
    registry-registry-RepoRefView:
      type: object
      required:
        - id
        - name
        - display_name
        - source_uri
        - workspace_id
      properties:
        display_name:
          type: string
        id:
          type: string
        name:
          type: string
        source_uri:
          type: string
        workspace_id:
          type: string
    registry-registry-WorkspaceRefView:
      type: object
      required:
        - id
        - name
        - display_name
      properties:
        display_name:
          type: string
        id:
          type: string
        name:
          type: string
    registry-registry-RelationshipEdge:
      type: object
      required:
        - rel_type
        - direction
        - provenance
        - relationship_status
      properties:
        attributes:
          type:
            - object
            - 'null'
          additionalProperties: {}
          propertyNames:
            type: string
        confidence:
          type:
            - number
            - 'null'
          format: double
        direction:
          type: string
        from:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/registry-registry-EdgeTarget'
        label:
          type:
            - string
            - 'null'
        provenance:
          type: string
        rel_type:
          type: string
        relationship_status:
          type: string
        role:
          type:
            - string
            - 'null'
        to:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/registry-registry-EdgeTarget'
        weight:
          type:
            - number
            - 'null'
          format: double
    registry-registry-EdgeTarget:
      type: object
      required:
        - id
        - kind
      properties:
        id:
          type: string
        kind:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````